C                                                            <HTML><PRE>
C     INCLUDE 'scro.inc'
C     ------------------------------------------------------------------
      INTEGER NSCR
      PARAMETER (NSCR=10)
      INTEGER KSCR(NSCR),KPLUS,KANSI,NWIDTH,NLINES,IPAUSE,JWAVE,JSRC
      REAL HMIN,HMAX,VMIN,VMAX,WIDTH
      REAL H1A,H1B,H2A,H2B,V2A,V2B,V3A,V3B,H1OLD,H2OLD,V2OLD,V3OLD
      COMMON/SCROC/KSCR,KPLUS,KANSI,NWIDTH,NLINES,IPAUSE,
     *             HMIN,HMAX,VMIN,VMAX,WIDTH,H1A,H1B,
     *             H2A,H2B,V2A,V2B,V3A,V3B,H1OLD,H2OLD,V2OLD,V3OLD,
     *             JWAVE,JSRC
      SAVE /SCROC/

C     ------------------------------------------------------------------
C     KSCR... Array containing information on input parameter CRTSCRO in
C             the first NSCR-2 locations.  The last two storage
C             locations contain information on the vertical cursor
C             position.
C     KANSI,KPLUS,NWIDTH,NLINES,IPAUSE... Values of input parameters
C             SCRPLUS, SCRANSI, SCRWIDTH, SCRHEIGHT, CRTPAUSE.
C     HMIN, HMAX... Horizontal coordinates of the vertical boundaries of
C             the plotting area in the plot coordinates.
C             The leftmost 1/4 of the screen area is reserved for the
C             text output.  Values of input parameters SCRBBOX1 and
C             SCRBBOX3.
C     VMIN, VMAX... Vertical coordinates of the horizontal boundaries of
C             the plotting area in the plot coordinates.  Values of
C             input parameters SCRBBOX2 and SCRBBOX4.
C     WIDTH...Estimated thickness of the plotted line. The value of
C             input parameter SCRLINE.
C     H1A,H1B,H2A,H2B,V2A,V2B,V3A,V3B... Auxiliary variables:
C             Coefficients of the linear functions projecting general
C             coordinates of a point on a ray to the plot coordinates.
C     H1OLD,H2OLD,V2OLD,V3OLD... Auxiliary variables: positions of the
C             projections of the last point of a ray to the screen in
C             plot coordinates.
C     JWAVE...Storage location for IWAVE mediated from the subroutine
C             SCRO1 to SCRO2.
C     JSRC... Storage location for ISRC mediated from the subroutine
C             SCRO1 to SCRO2.
C
C     Common block /SCROC/ is included in FORTRAN 77 source code file
C     'scro.for'.
C
C Date: 2003, April 24
C Coded by Ludek Klimes
C
C=======================================================================
C                                                                 </PRE>
