C                                                            <HTML><PRE>
C     INCLUDE 'dcrt.inc'
C     ------------------------------------------------------------------
      INTEGER MEND,MSTOR
      PARAMETER (MEND=128)
      PARAMETER (MSTOR=128)
      INTEGER KSTORE,NEXPS,NHLF,MODCRT
      REAL STORE,STEP,UEB,UEBPP,UEBPH,UEBHH,UEBDRT,BOUNDR(7)
      INTEGER NSRFCA,NEND,KEND(MEND),NSTOR,KSTOR(MSTOR)
      COMMON/DCRT/ KSTORE,NEXPS,NHLF,MODCRT,STORE,STEP,UEB,UEBPP,UEBPH,
     *             UEBHH,UEBDRT,BOUNDR,NSRFCA,NEND,KEND,NSTOR,KSTOR
      SAVE /DCRT/
C     ------------------------------------------------------------------
C     KSTORE,NEXPS,NHLF,MODCRT... Input data (2) of 'ray.for'.
C     STORE,STEP,UEB,UEBPP,UEBPH,UEBHH,UEBDRT... Input data (3) of
C             'ray.for'.
C     BOUNDR..Boundaries X1MIN,X1MAX,X2MIN,X2MAX,X3MIN,X3MAX,TMAX of the
C             computational volume, see input data (4) of 'ray.for'.
C     NSRFCA..Number of auxiliary surfaces, see input data (5) of
C             'ray.for'.
C     NEND... Number of end surfaces, see input data (6) of 'ray.for'.
C     KEND... Contains the indices of end surfaces, see input data (6)
C             of 'ray.for'.
C     NSTOR...Number of surfaces for storing computed quantities, see
C             input data (7) of 'ray.for'.
C     KSTOR...Contains the indices of surfaces for storing computed
C             quantities, see input data (7), the input data (8) and
C             finally, the input data (9) of 'ray.for'.  The total of
C             3*NSTOR integers.
C
C     Common block /DCRT/ is also included in subroutine files
C     'ray.for', 'raycb.for', 'init.for', 'rpar.for', 'writ.for' and
C     'scro.for'.  All the input data are read in 'ray.for'.
C
C     All the input data are stored sequentially in the same order as
C     they were read.  The only exception are locations NEND and NSTOR
C     which are inserted when reading the input data.  The index of the
C     last allocated numeric unit of array KEND is named MEND.  The
C     index of the last allocated numeric unit of array KSTOR is named
C     MSTOR.  If MEND or MSTOR is changed, it must be adjusted in all
C     subroutines which include common block /DCRT/.
C
C Date: 2003, April 24
C Coded by Ludek Klimes
C
C=======================================================================
C                                                                 </PRE>
